# gcu::StringValue Class Reference

`#include <gcu/value.h>`

Inheritance diagram for gcu::StringValue:

List of all members.

## Public Member Functions
| StringValue ()
virtual | ~StringValue ()
char const * | GetAsString () const

## Detailed Description

Used to store literal data.

Definition at line 134 of file value.h.

## Constructor & Destructor Documentation

gcu::StringValue::StringValue | ( |  | ) |

Default constructor

virtual gcu::StringValue::~StringValue | ( |  | ) | `[virtual]`

Default destructor

## Member Function Documentation

char const* gcu::StringValue::GetAsString | ( |  | ) | const`[virtual]`

Returns:
  the embedded string.

Reimplemented from gcu::Value.

The documentation for this class was generated from the following file:

- value.h